org.apache.lucene.index

## Class MergeScheduler

- java.lang.Object
- - org.apache.lucene.index.MergeScheduler

- Direct Known Subclasses:
    ConcurrentMergeScheduler, SerialMergeScheduler

      public abstract class MergeScheduler
      extends java.lang.Object

  Expert: `IndexWriter` uses an instance implementing this interface to execute the merges selected by a `MergePolicy`. The default MergeScheduler is `ConcurrentMergeScheduler`.

  NOTE: This API is new and still experimental (subject to change suddenly in the next release)

  NOTE: This class typically requires access to package-private APIs (eg, SegmentInfos) to do its job; if you implement your own MergePolicy, you'll need to put it in package org.apache.lucene.index in order to use these APIs.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MergeScheduler()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MergeScheduler

          public MergeScheduler()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.